Ticket #36480

文字コード u+00e9 を含む単語の処理

Open Date: 2016-07-26 11:45 Last Update: 2016-08-24 11:09

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: (None) MileStone: 2016.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: None

Details

とりあえず現状把握:

https://twitter.com/PokemonGOapp

このアカウントの名前にアクセントつきの e が使われています。 文字コードは u+00e9 です。

Windows 10 の Haruka はふつうの e に置き換えて読んでいるようです。 連続読みは「ポケモン」、文字説明は「イー」に聞こえます。

JTalk は e が抜けて「ピーオーケーエムオーエヌ」になります。 文字説明は無音になります。

点字出力(日本語6点情報処理点字、NABCCオフ)すると 「GO」しか出てこなくなり、 アクセントつき e だけでなく単語が丸ごと抜けてしまうようです。

Attachment File List

No attachments

Ticket History (3/5 Histories)

2016-07-26 11:45 Updated by: nishimoto
  • New Ticket "文字コード u+00e9 を含む単語の処理" created
2016-07-26 23:25 Updated by: nishimoto
Comment

Eにアキュート・アクセントを付した文字、とウィキペディアでは説明されている:

https://ja.wikipedia.org/wiki/%C3%89

2016-07-27 22:32 Updated by: nishimoto
Comment

非基本ラテン文字の説明 https://github.com/nvdajp/nvdajp/issues/9

藤沼さんのデータを参考に文字説明を追加。

点訳辞書と JTalk に関してはまだアクセント(アキュート)つき e の処理しか実装していない。 https://github.com/nvdajp/nvdajpmiscdep/issues/31

2016-07-28 08:52 Updated by: nishimoto
Comment

確認用メモ「カフェ」

https://ja.wikipedia.org/wiki/%E3%82%AB%E3%83%95%E3%82%A7

cafe
café
caffè
Café
2016-08-24 11:09 Updated by: nishimoto
  • Ticket Close date is changed to 2016-08-24 11:09
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login